- Main Page
- Namespaces
- Classes
- Files
- Directories

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# VOL_dual Class Reference

`#include <OsiTestSolver.hpp>`

Collaboration diagram for VOL_dual:

[legend]
List of all members.

## Public Member Functions
| VOL_dual (const int dsize)
| VOL_dual (const VOL_dual &dual)
| ~VOL_dual ()
VOL_dual & | operator= (const VOL_dual &p)
void | step (const double target, const double lambda, const VOL_dvector &dual_lb, const VOL_dvector &dual_ub, const VOL_dvector &v)
double | ascent (const VOL_dvector &v, const VOL_dvector &last_u) const
void | compute_xrc (const VOL_dvector &pstarx, const VOL_dvector &primalx, const VOL_dvector &rc)
## Public Attributes
double | lcost
double | xrc
VOL_dvector | u

## Detailed Description

Definition at line 355 of file OsiTestSolver.hpp.

## Constructor & Destructor Documentation

VOL_dual::VOL_dual | ( | const int | dsize | ) | `[inline]`

Definition at line 365 of file OsiTestSolver.hpp.

VOL_dual::VOL_dual | ( | const VOL_dual & | dual | ) | `[inline]`

Definition at line 366 of file OsiTestSolver.hpp.

VOL_dual::~VOL_dual | ( |  | ) | `[inline]`

Definition at line 368 of file OsiTestSolver.hpp.

## Member Function Documentation

VOL_dual& VOL_dual::operator= | ( | const VOL_dual & | p | ) | `[inline]`

Definition at line 369 of file OsiTestSolver.hpp.

void VOL_dual::step | ( | const double | target,
|  | const double | lambda,
|  | const VOL_dvector & | dual_lb,
|  | const VOL_dvector & | dual_ub,
|  | const VOL_dvector & | v |
| ) |  |  |

double VOL_dual::ascent | ( | const VOL_dvector & | v,
|  | const VOL_dvector & | last_u |
| ) |  |  | const

void VOL_dual::compute_xrc | ( | const VOL_dvector & | pstarx,
|  | const VOL_dvector & | primalx,
|  | const VOL_dvector & | rc |
| ) |  |  |

## Member Data Documentation

double VOL_dual::lcost

Definition at line 358 of file OsiTestSolver.hpp.

double VOL_dual::xrc

Definition at line 360 of file OsiTestSolver.hpp.

VOL_dvector VOL_dual::u

Definition at line 363 of file OsiTestSolver.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Cgl-0.57.1/Osi/test/OsiTestSolver.hpp